Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 446796 - app-misc/pax-utils: src_install tries to compile stuff
Summary: app-misc/pax-utils: src_install tries to compile stuff
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: x86 Solaris
: Normal normal (vote)
Assignee: Gentoo Prefix
URL:
Whiteboard:
Keywords:
: 447704 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-12-10 21:05 UTC by pavel heimlich
Modified: 2013-11-28 07:13 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info (emerge.info,3.26 KB, text/plain)
2012-12-11 07:57 UTC, pavel heimlich
Details
build.log (build.log,9.06 KB, text/plain)
2012-12-11 16:25 UTC, pavel heimlich
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pavel heimlich 2012-12-10 21:05:06 UTC
building the gentoo prefix project on Solaris fails at the 'make install' stage of pax-utils.
I can see it tries to run 'cc' as C compiler, but I do not have it on my system.

I found the below patch to fix the problem:

--- /opt/gentoo/usr/portage/app-misc/pax-utils/pax-utils-0.2.1.ebuild.orig	Mon Dec 10 14:29:19 2012
+++ /opt/gentoo/usr/portage/app-misc/pax-utils/pax-utils-0.2.1.ebuild	Mon Dec 10 14:29:37 2012
@@ -32,6 +32,6 @@
 }
 
 src_install() {
-	emake DESTDIR="${D}${EPREFIX}" install || die
+	emake DESTDIR="${D}${EPREFIX}" CC="$(tc-getCC)" install || die
 	dodoc BUGS README TODO
 }
Comment 1 Chris Reffett gentoo-dev Security 2012-12-11 05:09:44 UTC
Please post the full build.log and your emerge --info.
Comment 2 pavel heimlich 2012-12-11 07:57:53 UTC
Created attachment 332032 [details]
emerge --info
Comment 3 pavel heimlich 2012-12-11 16:25:55 UTC
Created attachment 332056 [details]
build.log
Comment 4 SpanKY gentoo-dev 2013-01-02 17:40:49 UTC
*** Bug 447704 has been marked as a duplicate of this bug. ***
Comment 5 SpanKY gentoo-dev 2013-01-02 17:41:59 UTC
src_install shouldn't be trying to compile anything in the first place.  setting CC in src_install is thus the wrong way to approach this.
Comment 6 Fabian Groffen gentoo-dev 2013-07-13 08:20:54 UTC
I don't see anything compiled during install on Solaris:

>>> Install pax-utils-0.4 into /gentoo/prefix64/var/tmp/portage/app-misc/pax-utils-0.4/image/ category app-misc
make -j3 DESTDIR=/gentoo/prefix64/var/tmp/portage/app-misc/pax-utils-0.4/image//gentoo/prefix64 PKGDOCDIR=$(DOCDIR)/pax-utils-0.4 install 
mkdir -p /gentoo/prefix64/var/tmp/portage/app-misc/pax-utils-0.4/image//gentoo/prefix64/usr/bin/ /gentoo/prefix64/var/tmp/portage/app-misc/pax-utils-0.4/image//gentoo/prefix64/usr/share/man/man1/ /gentoo/prefix64/var/tmp/portage/app-misc/pax-utils-0.4/image//gentoo/prefix64/usr/share/doc/pax-utils-0.4/
for sh in *.sh ; do install -m755 $sh /gentoo/prefix64/var/tmp/portage/app-misc/pax-utils-0.4/image//gentoo/prefix64/usr/bin/${sh%.sh} || exit $? ; done
install -m755 scanelf dumpelf  scanmacho /gentoo/prefix64/var/tmp/portage/app-misc/pax-utils-0.4/image//gentoo/prefix64/usr/bin/
install -m644 README BUGS TODO /gentoo/prefix64/var/tmp/portage/app-misc/pax-utils-0.4/image//gentoo/prefix64/usr/share/doc/pax-utils-0.4/
install -m644 man/scanelf.1 man/dumpelf.1 man/scanmacho.1 /gentoo/prefix64/var/tmp/portage/app-misc/pax-utils-0.4/image//gentoo/prefix64/usr/share/man/man1/
>>> Completed installing pax-utils-0.4 into /gentoo/prefix64/var/tmp/portage/app-misc/pax-utils-0.4/image/
Comment 7 SpanKY gentoo-dev 2013-11-28 07:13:16 UTC
i think this is obsolete by using a newer version